import { type ReactNode } from 'react';
type PreviewLayoutContextValue = {
    headerNode: ReactNode;
    footerNode: ReactNode;
} | null;
export declare function PreviewLayoutProvider({ headerNode, footerNode, children, }: {
    headerNode: ReactNode;
    footerNode: ReactNode;
    children: ReactNode;
}): import("react/jsx-runtime").JSX.Element;
export declare function usePreviewLayout(): {
    headerNode: ReactNode;
    footerNode: ReactNode;
};
export declare function useOptionalPreviewLayout(): PreviewLayoutContextValue;
export {};
